#include <platform.h>
#include <xs1.h>

void pipelineStep(chanend inC, chanend outC, int number) {
  if (number == 0) {
    inC :> number;
  }
  while (1) {
    number = number + 1;
    outC <: number;
    inC :> number;
  }
}

int main() {
  chan c[512];
  par (int i = 0; i < 512; i++) {
    on stdcore[i/8] : pipelineStep(c[i], c[(i+1)&511], i);
  }
  return 0;
}
